# DefaultPanicHandler Class Reference

Receive notification of panic. More...

Inheritance diagram for DefaultPanicHandler:

List of all members.

## Public Member Functions

hidden Constructors
| DefaultPanicHandler ()
| Default constructor.
virtual | ~DefaultPanicHandler ()
| Destructor.
Implement virtual panic handler interface
virtual void | panic (const PanicHandler::PanicReasons reason)
| Receive notification of panic.

## Detailed Description

Receive notification of panic.

This is Xerces' default implementation of the PanicHanlder interface, which will be instantiated and used in the absence of an application's panic handler.

## Constructor & Destructor Documentation

DefaultPanicHandler::DefaultPanicHandler | ( |  | ) |

Default constructor.

virtual DefaultPanicHandler::~DefaultPanicHandler | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void DefaultPanicHandler::panic | ( | const PanicHandler::PanicReasons | reason | ) | `[virtual]`

Receive notification of panic.

Upon invocation, a corresponding error message will be output to the stderr, and program exit.

Parameters:

  | reason | The reason of panic

Implements PanicHandler.

The documentation for this class was generated from the following file:

- DefaultPanicHandler.hpp